/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/


ul.products:has(.card-producto) {
  display: grid;
  grid-template-columns: repeat(4, minmax(0, 1fr));
  gap: 1rem;
  align-items: start
}

ul.products:has(.card-producto):before,
ul.products:has(.card-producto):after{
  display: none;
}

.woocommerce ul.products li.card-producto {
  margin: 0;
  border: 1px solid var(--base);
  border-radius: 8px;
  padding: 1rem !important;  
  width: initial;
  height: 100%;
  display: flex;
  flex-direction: column;
  overflow: hidden
}

.card-producto img:hover {
  transform: scale(1.1);
  transition: 0.4s all;

}

.card-imagen a {
/*   z-index: -1;
  position: relative;   */
}

.card-titulo a {
  color: var(--contrast-2) !important;
  font-weight: bold !important;
  text-decoration: none !important;
  border: 0 !important;
}

.card-titulo a:hover {
  color: var(--accent) !important;
}

.card-precio {
  display: flex;
  flex-direction: column;
  font-weight: 600;
}

.precio-original {
  text-decoration: line-through;
/*   color: var(--accent); */
  font-size: 0.9rem;
  opacity: 0.5
}

.card-extracto {
  font-size: 1rem;
}

.card-accion {
  margin-top: auto;
}

.badge-oferta,
.badge-destacado {
  background: var(--accent);
  color: #fff;
  text-transform: uppercase;
  font-size: 0.75rem;
  padding: 0 1.5rem;
  position: absolute;
  display: block;
  top: 0.6rem;
  right: -1.6rem;
  z-index: 1
}

.badge-oferta {
  background: #f28a1a;
  transform: rotate(45deg);
}